Bug 122715 - Airo_cs does not work after installation of Core 2 Test 3
Airo_cs does not work after installation of Core 2 Test 3
Status: CLOSED DUPLICATE of bug 121742
Product: Fedora
Classification: Fedora
Component: wireless-tools (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2004-05-07 08:43 EDT by Leo Stutzmann
Modified: 2014-03-16 22:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-21 14:03:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Leo Stutzmann 2004-05-07 08:43:30 EDT
Description of problem:
Installed Core 2 test 3, using standard workstation option, on my IBM 
Thinkpad T22, 40GB hard disk, 512MB Ram, Cisco 350 Wireless PCMCIA 
card, not wired throught the built in network card. Installation was 
successful, with no incidents. 

After installation and reboot, network interfaces were eth0, eth1, 
and wifi0. eth0 was the on board NIC, which is not plugged in. Lights 
on the Cisco 350 card were not on. lsmod show the modules loaded. All 
three show inactive.

Trying to activate the wifi0 and eth1 interfaces fails, and I cannot 
activate the wireless.

Something is wrong with the configuration.

Version-Release number of selected component (if applicable):

How reproducible:
Every time I install, I tried three times.

Steps to Reproduce:
1. Install Core 2 test 3
2. Look at network interfaces
3. Try to activate the wireless.
Actual results:
Wireless not working.

Expected results:
I was hoping that wireless would work. My Mandrake 9.2 installation 
installs and works correctly, including the wireless.

Additional info:
Comment 1 Bill Nottingham 2004-05-21 14:28:46 EDT
What errors do you get?
Comment 2 Leo Stutzmann 2004-05-27 10:02:48 EDT
Just installed Fedora Core 2 release. My Laptop has an internal nic 
and a Cisco 350 wireless card. During installation the shown network 
interfaces are:


After installation, and the first reboot, the 350 lights the status 
and activity lights never come on again.

Boot messages show, that eth0 failed because cable is not connected, 
which is ok, and eth1 failed with message: "Bringing up eth1: airo_cs 
device eth1 does not seem to be present, delaying initialization"

From System Settings->Network it shows all three as inactive, eth0, 
eth1, and wifi0.

Trying to activate eth1 results in the same message as the boot 
failed message for eth1 above.

Trying to activate wifi0 does nothing.

Sorry, I'm not very well versed in the configuration issues with 
networking, so any pointers on what configuration files to change 
would be helpful.

The alternative for me is to go back to Mandrake, which seems to 
configure correctly for the Cisco card.
Comment 3 Leo Stutzmann 2004-05-27 11:21:50 EDT
Additional information. As the lights to the 350 are not on, I might 
suspect the pcmcia services. from init.d:

./pcmcia status
cardmgr is stopped

./pcmcia start
Starting PCMCIA services: cardmgr[3374]: no sockets found!

So for some reason I cannot start the pcmcia services.
Comment 4 Leo Stutzmann 2004-05-27 13:45:17 EDT
I have cardmgr running now.

In /etc/rc5.d/ I moved "pcmcia" ahead of "network" in the numbering 
scheme. We really do need pcmcia running for wireless cards and 
pcmcia network cards.

Now the status and activity lights are going. 

Re-configured my onboard ethernet, and the 350 wireless, and 
everything seems to be working now. Sort of Trial and Error.

I am assuming just putting the pcmcia ahead of network in the init 
scripts does the trick.
Comment 5 Bill Nottingham 2004-05-27 15:23:05 EDT

*** This bug has been marked as a duplicate of 121742 ***
Comment 6 Red Hat Bugzilla 2006-02-21 14:03:06 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.